package com.muyu.domain.req;


import com.muyu.common.core.validation.custom.IsSystemYesNo;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;


@Data
@Tag(name = "客户列表")
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CustomerListReq {


    /**
     * 服务/客户名称
     */
    @Schema(type = "String" , title = "客户名称", description = "客户的名称")
    private String appName;

    /**
     * 服务/客户编号
     */
    @Schema(type = "String" , defaultValue = "customer_code", title = "客户的编码")
    private String appCode;

    /**
     * 是否开启
     */
    @Schema(type = "String" ,defaultValue = "Y",description = "客户状态，Y是对，N关闭" , title = "客户状态，Y是对，N关闭")
    @IsSystemYesNo
    private String status;




}
