package com.muyu.domain.resp;

import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Tag(name = "客户支付单",description = "客户支付单简略")
public class CustomerOrderPaySimpleResp {

    /**
     * 客户单号
     */
    @Schema(title = "客户单号",type = "String" , defaultValue = "" ,description = "客户传入的支付单编号")
    private String cusOrderNumber;
    /**
     * 支付金额
     */
    @Schema(title = "支付金额",type = "BigDecimal" , defaultValue = "13.13" ,description = "需要支付的金额")
    private BigDecimal price;
    /**
     * 渠道商类型
     */
    @Schema(title = "支付渠道商",type = "String" , defaultValue = "支付宝" ,description = "所使用的渠道商")
    private String channelTypeName;

}
