package com.muyu.pay.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.domain.OrderPayInfo;
import com.muyu.pay.mapper.OrderPayMapper;
import com.muyu.pay.service.OrderPayService;
import org.springframework.stereotype.Service;

import java.util.List;
@Service
public class OrderPayServiceImpl extends ServiceImpl<OrderPayMapper, OrderPayInfo>implements OrderPayService {


    @Override
    public List<OrderPayInfo> selectOrderPayByAppCodeAndLimit(String appCode, int limit) {
        LambdaQueryWrapper<OrderPayInfo> orderPayInfoLambdaQueryWrapper = new LambdaQueryWrapper<>();
        orderPayInfoLambdaQueryWrapper.eq(OrderPayInfo::getAppCode,appCode);
        orderPayInfoLambdaQueryWrapper.orderBy(true,false,OrderPayInfo::getCreateTime);
        orderPayInfoLambdaQueryWrapper.last("limit "+limit);
        return this.list(orderPayInfoLambdaQueryWrapper);
    }
}
